DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MemoryCopy

Copy memory blocks

## SYNOPSIS

void dip_MemoryCopy( in, out, number )

## FUNCTION

Copy a memory block

## ARGUMENTS

Data type | Name | Description
`void *` | `in` | pointer to memory source block
`void *` | `out` | pointer to memory destination block
`dip_int` | `number` | number of bytes to be copied

## NOTE

The behaviour of this function is undefined when the `in` and `out` blocks overlap.